std::promise< _Res >(3cxx)

NAME
std::promise< _Res > - Primary template for promise.

SYNOPSIS

#include <future>

  Public Member Functions

template<typename _Allocator > promise (allocator_arg_t, const _Allocator &, promise &&__rhs)
template<typename _Allocator > promise (allocator_arg_t, const _Allocator &__a)
promise (const promise &)=delete
promise (promise &&__rhs) noexcept
future< _Res > get_future ()
promise & operator= (const promise &)=delete
promise & operator= (promise &&__rhs) noexcept
void set_exception (exception_ptr __p)
void set_exception_at_thread_exit (exception_ptr __p)
void set_value (_Res &&__r)
void set_value (const _Res &__r)
void set_value_at_thread_exit (_Res &&__r)
void set_value_at_thread_exit (const _Res &__r)
void swap (promise &__rhs) noexcept

  Friends

template<typename , typename > class _State::_Setter

Detailed Description

  template<typename _Res>
class std::promise< _Res >"Primary template for promise.

Definition at line 1043 of file future.

Constructor & Destructor Documentation

  template<typename _Res > std::promise< _Res >::promise () [inline]

Definition at line 1055 of file future.

  template<typename _Res > std::promise< _Res >::promise (promise< _Res > && __rhs) [inline], [noexcept]

Definition at line 1060 of file future.

  template<typename _Res > template<typename _Allocator > std::promise< _Res >::promise (allocator_arg_t, const _Allocator & __a) [inline]

Definition at line 1066 of file future.

  template<typename _Res > template<typename _Allocator > std::promise< _Res >::promise (allocator_arg_t, const _Allocator &, promise< _Res > && __rhs) [inline]

Definition at line 1072 of file future.

  template<typename _Res > std::promise< _Res >::~promise () [inline]

Definition at line 1079 of file future.

Member Function Documentation

  template<typename _Res > future< _Res > std::promise< _Res >::get_future () [inline]

Definition at line 1104 of file future.

  template<typename _Res > promise & std::promise< _Res >::operator= (promise< _Res > && __rhs) [inline], [noexcept]

Definition at line 1087 of file future.

  template<typename _Res > void std::promise< _Res >::set_exception (exception_ptr __p) [inline]

Definition at line 1117 of file future.

  template<typename _Res > void std::promise< _Res >::set_exception_at_thread_exit (exception_ptr __p) [inline]

Definition at line 1135 of file future.

  template<typename _Res > void std::promise< _Res >::set_value (_Res && __r) [inline]

Definition at line 1113 of file future.

  template<typename _Res > void std::promise< _Res >::set_value (const _Res & __r) [inline]

Definition at line 1109 of file future.

  template<typename _Res > void std::promise< _Res >::set_value_at_thread_exit (_Res && __r) [inline]

Definition at line 1128 of file future.

  template<typename _Res > void std::promise< _Res >::set_value_at_thread_exit (const _Res & __r) [inline]

Definition at line 1121 of file future.

  template<typename _Res > void std::promise< _Res >::swap (promise< _Res > & __rhs) [inline], [noexcept]

Definition at line 1096 of file future.

Friends And Related Symbol Documentation

  template<typename _Res > template<typename , typename > friend class _State::_Setter [friend]

Definition at line 1048 of file future.

Author

Generated automatically by Doxygen for libstdc++ from the source code.